/*
 * Soft Fail, more info see README, COPYRIGHT and CHANGELOG files
 */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "envelope_vrf.h"

char *proto_used;
char *mf_fqdnaddr;
char *mf_addr;
struct sf_rcpt_l sf_rcpt_l[1];
int rcpt_n = 1;

int main(int argv, char *argc[])
{
  time_t tm;
  tm = time(NULL);
  proto_used = "smtp/qmail-smtpd"; // smtp eh o padrao, pode vir a ser qmtp
  mf_fqdnaddr = getenv("TCPREMOTEIP");
  sf_rcpt_l[0].mail = getenv("REMOTERCPT");;


  if (!mf_fqdnaddr || !sf_rcpt_l[0].mail || !getenv("REMOTEMF")) {   
	fprintf(stderr, "qmail-sf: Sorry, invalid usage.\nThis software is not for runnning on the command line.\n");
	exit (SF_DRUN_CLI_CODE);
  }

  if (getenv("TCPLOCALPORT") == QMTPPROTO)
	proto_used = "smtp/qmail-qmtpd";
  if (getenv("TCPLOCALPORT") == QMQPPROTO)
	proto_used = "smtp/qmail-qmqpd";

  if (strlen(getenv("REMOTEMF")) < 3) 
	mf_addr = "RFC-821_Null_Sender";
  else
	mf_addr = getenv("REMOTEMF");

  if (mf_addr != NULL && mf_fqdnaddr != NULL)
    return envelope_vrf(1,NULL);
  else
    return SF_UNEXPECTED_CODE;
}
