/*
 * Soft Fail, more info see README, COPYRIGHT and CHANGELOG files
 *
 * Don't change this file! Use make -D<macro>=<def> instead.
 */
#include "conf.h"

#ifndef MYSQLSERVER
#define MYSQLSERVER		"localhost"
#endif
#ifndef MYSQLUSER
#define MYSQLUSER		"softfail"
#endif
#ifndef MYSQLPASSWORD
#define MYSQLPASSWORD		"softfail40"
#endif
#ifndef MYSQLDB
#define MYSQLDB			"softfail"
#endif

#ifndef UNBLOCK_AFTER_SEEN
#define UNBLOCK_AFTER_SEEN	6	/* minutes until email is accepted */
#endif

#ifndef EXPIRE_SEENMSG
#define EXPIRE_SEENMSG		500	/* minutes until seen msgs expires */
#endif

#ifndef EXPIRE_ACCEPTED
#define EXPIRE_ACCEPTED		5	/* days for record lifetime after
							mail was accepted */
#endif

#ifndef RFCSEENTIME
#define RFCSEENTIME		60	/* seconds between expected message
					   redelivery after a 4xx soft fail */
#endif

#ifndef SEENCONSECMAXTIME
#define SEENCONSECMAXTIME	12	/* maximum number of consecutive times
					   we will tolerate before adding
					   seen host to blacklist */
#endif

#ifndef MAXDAYSAUTOINDB
#define MAXDAYSAUTOINDB		2	/* max number of days records should be
					   kept in database when added by Soft Fail
					   (origim is AUTO) - may improve database
					   maintainance since we won't need seen
					   a host again to start the expiry 
					   checking functions */
#endif

//#define DEBUGTLOG 1

#define LOGTXT 1
#define SQLCMDSIZE 1024

